-- New schema
drop table if exists authenticate;
drop table if exists entitlements;
drop table if exists catalog;
drop table if exists fulfillment;

create table authenticate (userId text, password text, firstName text, lastName text, deviceToken text, sessionToken text, deviceKey text);
create unique index authenticate_idx on authenticate (userId, password, deviceToken);
insert into authenticate (userId, password, firstName, lastName, deviceToken, sessionToken, deviceKey) values ('venezia@amazon.com', 'venezia', 'John','Doe', '234567890', null, 'deviceKey1');
insert into authenticate (userId, password, firstName, lastName, deviceToken, sessionToken, deviceKey) values ('Testuser1@aaa.com', '123', 'Test1','user1', 'sdfs8dfh23', null, 'deviceKey2');
insert into authenticate (userId, password, firstName, lastName, deviceToken, sessionToken, deviceKey) values ('testuser2@sdrser.com', 'password1', 'Test1','user2', '222311111', null, 'deviceKey3');
insert into authenticate (userId, password, firstName, lastName, deviceToken, sessionToken, deviceKey) values ('Testuser2@234.com', '2sdf$!523', 'Test2','user2', '45rt089475', null, 'deviceKey4');
insert into authenticate (userId, password, firstName, lastName, deviceToken, sessionToken, deviceKey) values ('Testuser3@234.com', 'abc123', 'Test3','user3', 'd9243380s89d', null, 'deviceKey5');
insert into authenticate (userId, password, firstName, lastName, deviceToken, sessionToken, deviceKey) values ('testuesr4@test.com', '2sdlkf@@#', 'Test4','user4', '2345g42348djb', null, 'deviceKey6');
insert into authenticate (userId, password, firstName, lastName, deviceToken, sessionToken, deviceKey) values ('null', '123456', 'Test5','user5', '12348902632', null, 'deviceKey7');
insert into authenticate (userId, password, firstName, lastName, deviceToken, sessionToken, deviceKey) values ('Testuser4@lksdfjos.net', 'null', 'Test6','user6', '3fgseg334554f', null, 'deviceKey8');
insert into authenticate (userId, password, firstName, lastName, deviceToken, sessionToken, deviceKey) values ('Testuser5@23456.com', '123456', 'Test7','user7', '9dkf9333sj34d', null, 'deviceKey9');
insert into authenticate (userId, password, firstName, lastName, deviceToken, sessionToken, deviceKey) values ('12345663', '123456', 'Test8','user8', 'dsf9d234jfk', null, 'deviceKey10');
insert into authenticate (userId, password, firstName, lastName, deviceToken, sessionToken, deviceKey) values ('Testuser6@23456.com', 'abcdefg', 'Test9','user9', '2348df799923', null, 'deviceKey11');
insert into authenticate (userId, password, firstName, lastName, deviceToken, sessionToken, deviceKey) values ('deviceidexceedsstring@atest.com', '123', 'Test10','user10', '6435sf8kds9w', null, 'deviceKey12');
insert into authenticate (userId, password, firstName, lastName, deviceToken, sessionToken, deviceKey) values ('userA@amazon.com', 'password', 'Test11','user11', 'svsd9f782n34', null, 'deviceKey13');
insert into authenticate (userId, password, firstName, lastName, deviceToken, sessionToken, deviceKey) values ('userB@amazon.com', 'password', 'Test12','user12', '9sdhfbsdfskdj', null, 'deviceKey14');
insert into authenticate (userId, password, firstName, lastName, deviceToken, sessionToken, deviceKey) values ('userC@amazon.com', 'password', 'Test13','user13', '234dkd333w0ui', null, 'deviceKey15');
insert into authenticate (userId, password, firstName, lastName, deviceToken, sessionToken, deviceKey) values ('userD@amazon.com', 'password', 'Test14','user14', 'd8fh384ffrkd8', null, 'deviceKey16');
insert into authenticate (userId, password, firstName, lastName, deviceToken, sessionToken, deviceKey) values ('userE@amazon.com', 'password', 'Test15','user15', 'd8fhwed1dzkd1', null, 'deviceKey17');
insert into authenticate (userId, password, firstName, lastName, deviceToken, sessionToken, deviceKey) values ('userF@amazon.com', 'password', 'Test16','user16', '0fdgkje98ijfa', null, 'deviceKey18');

create table fulfillment (asin text, version text, response text);
create unique index fulfillment_idx on fulfillment (asin, version);
insert into fulfillment (asin, version, response) values ('ABC123', '1.0', 'http://com.amazon.mas.apk-test.s3.amazonaws.com/MyInstall-zipaligned.apk');
insert into fulfillment (asin, version, response) values ('BT00DAVR98', '1.0', 'http://s3.fakebucket.amazon.com/App1.apk');
insert into fulfillment (asin, version, response) values ('BT00DF1QZZ', '1.0', 'http://s3.fakebucket.amazon.com/App2.apk');
insert into fulfillment (asin, version, response) values ('BT00DF1QII', '1.0', 'http://s3.fakebucket.amazon.com/App3.apk');
insert into fulfillment (asin, version, response) values ('BT00DAVR96', '1.0', 'http://s3.fakebucket.amazon.com/App4.apk');
insert into fulfillment (asin, version, response) values ('BT0BDAVR00', '1.0', 'http://s3.fakebucket.amazon.com/App5.apk');
insert into fulfillment (asin, version, response) values ('AIDKFJSL29', '1.0', 'http://s3.fakebucket.amazon.com/App6.apk');
insert into fulfillment (asin, version, response) values ('SDFJIBHDKK', '1.0', 'http://s3.fakebucket.amazon.com/App7.apk');
insert into fulfillment (asin, version, response) values ('ODKFRIFH12', '1.0', 'http://s3.fakebucket.amazon.com/App8.apk');
insert into fulfillment (asin, version, response) values ('BPODIR485S', '1.0', 'http://s3.fakebucket.amazon.com/App9.apk');
insert into fulfillment (asin, version, response) values ('D234902389', '1.0', 'http://s3.fakebucket.amazon.com/App10.apk');
insert into fulfillment (asin, version, response) values ('BT00DAVR98', '2.0', 'http://s3.fakebucket.amazon.com/App11.apk');
insert into fulfillment (asin, version, response) values ('BT00DF1QZZ', '1.1', 'http://s3.fakebucket.amazon.com/App12.apk');
insert into fulfillment (asin, version, response) values ('BT00DF1QII', '1.3', 'http://s3.fakebucket.amazon.com/App13.apk');
insert into fulfillment (asin, version, response) values ('BT00DAVR96', '5.0', 'http://s3.fakebucket.amazon.com/App14.apk');
insert into fulfillment (asin, version, response) values ('BT0BDAVR00', '3.0', 'http://s3.fakebucket.amazon.com/App15.apk');
insert into fulfillment (asin, version, response) values ('AIDKFJSL29', '2.23', 'http://s3.fakebucket.amazon.com/App16.apk');
insert into fulfillment (asin, version, response) values ('SDFJIBHDKK', '1.2', 'http://s3.fakebucket.amazon.com/App17.apk');
insert into fulfillment (asin, version, response) values ('ODKFRIFH12', '1.4', 'http://s3.fakebucket.amazon.com/App18.apk');
insert into fulfillment (asin, version, response) values ('BPODIR485S', '3.0', 'http://s3.fakebucket.amazon.com/App19.apk');
insert into fulfillment (asin, version, response) values ('D234902389', '2.0', 'http://s3.fakebucket.amazon.com/App20.apk');


create table entitlements (userId text, asin text, version text);
create unique index entitlements_idx on entitlements (userId, asin, version);
insert into entitlements (userId, asin, version) values ('venezia@amazon.com', 'ABC123', '1.0');
insert into entitlements (userId, asin, version) values ('userA@amazon.com', 'BT00DAVR98', '1.0');
insert into entitlements (userId, asin, version) values ('userA@amazon.com', 'BT00DF1QZZ', '1.0');
insert into entitlements (userId, asin, version) values ('userA@amazon.com', 'BT00DF1QII', '1.0');
insert into entitlements (userId, asin, version) values ('userA@amazon.com', 'BT00DAVR96', '1.0');
insert into entitlements (userId, asin, version) values ('userA@amazon.com', 'BT0BDAVR00', '1.0');
insert into entitlements (userId, asin, version) values ('userB@amazon.com', 'AIDKFJSL29', '2.23');
insert into entitlements (userId, asin, version) values ('userC@amazon.com', 'ODKFRIFH12', '1.4');
insert into entitlements (userId, asin, version) values ('userD@amazon.com', 'BT00DF1QII', '1.0');
insert into entitlements (userId, asin, version) values ('userD@amazon.com', 'SDFJIBHDKK', '1.2');
insert into entitlements (userId, asin, version) values ('userD@amazon.com', 'D234902389', '2.0');
insert into entitlements (userId, asin, version) values ('userE@amazon.com', 'BPODIR485S', '1.0');
insert into entitlements (userId, asin, version) values ('userE@amazon.com', 'ODKFRIFH12', '1.4');
insert into entitlements (userId, asin, version) values ('userF@amazon.com', 'SDFJIBHDKK', '1.2');


create table catalog (asin text, applicationName text, category text, currentPrice real, averageRating int, numberOfReviews int, developerName text, iconUrl text, version text, listPrice text);
create unique index catalog_idx on catalog (asin, version);
insert into catalog (asin, applicationName, category, currentPrice, averageRating, numberOfReviews, developerName, iconUrl, version, listPrice) values ('ABC123', 'Amazon MP3', 'Music', 0.00, 5, 123, 'Amazon.com', 'https://s3.amazonaws.com/com.amazon.mas.pop-test/mouse.jpg', '1.0', null);
insert into catalog (asin, applicationName, category, currentPrice, averageRating, numberOfReviews, developerName, iconUrl, version, listPrice) values ('BT00DAVR98', 'App1', 'Music', 0.00, 5, 34, 'Dev1', 'https://s3.amazonaws.com/com.amazon.mas.pop-test/bookworm.jpg', '1.0', null);
insert into catalog (asin, applicationName, category, currentPrice, averageRating, numberOfReviews, developerName, iconUrl, version, listPrice) values ('BT00DF1QZZ', 'App2', 'Music', 0.00, 5, 0, 'Dev2', 'https://s3.amazonaws.com/com.amazon.mas.pop-test/garfield.jpg', '1.0', null);
insert into catalog (asin, applicationName, category, currentPrice, averageRating, numberOfReviews, developerName, iconUrl, version, listPrice) values ('BT00DF1QII', 'App3', 'Music', 0.00, 5, 123, 'Dev3', 'https://s3.amazonaws.com/com.amazon.mas.pop-test/hello-kitty.png', '1.0', null);
insert into catalog (asin, applicationName, category, currentPrice, averageRating, numberOfReviews, developerName, iconUrl, version, listPrice) values ('BT00DAVR96', 'App4', 'Music', 0.00, 5, 123, 'Dev4', 'https://s3.amazonaws.com/com.amazon.mas.pop-test/acorn.jpg', '1.0', null);
insert into catalog (asin, applicationName, category, currentPrice, averageRating, numberOfReviews, developerName, iconUrl, version, listPrice) values ('BT0BDAVR00', 'App5', 'Music', 0.00, 5, 123, 'Dev5', 'https://s3.amazonaws.com/com.amazon.mas.pop-test/acorn.jpg', '1.0', null);
insert into catalog (asin, applicationName, category, currentPrice, averageRating, numberOfReviews, developerName, iconUrl, version, listPrice) values ('AIDKFJSL29', 'App6', 'Music', 0.00, 5, 123, 'Dev6', 'https://s3.amazonaws.com/com.amazon.mas.pop-test/candyapple.jpg', '1.0', null);
insert into catalog (asin, applicationName, category, currentPrice, averageRating, numberOfReviews, developerName, iconUrl, version, listPrice) values ('SDFJIBHDKK', 'App7', 'Music', 0.00, 5, 34, 'Dev7', 'https://s3.amazonaws.com/com.amazon.mas.pop-test/candyapple.jpg', '1.0', null);
insert into catalog (asin, applicationName, category, currentPrice, averageRating, numberOfReviews, developerName, iconUrl, version, listPrice) values ('ODKFRIFH12', 'App8', 'Music', 0.00, 5, 0, 'Dev8', 'https://s3.amazonaws.com/com.amazon.mas.pop-test/candyapple.jpg', '1.0', null);
insert into catalog (asin, applicationName, category, currentPrice, averageRating, numberOfReviews, developerName, iconUrl, version, listPrice) values ('BPODIR485S', 'App9', 'Music', 0.00, 5, 123, 'Dev9', 'https://s3.amazonaws.com/com.amazon.mas.pop-test/garfield.jpg', '1.0', null);
insert into catalog (asin, applicationName, category, currentPrice, averageRating, numberOfReviews, developerName, iconUrl, version, listPrice) values ('D234902389', 'App10', 'Music', 0.00, 5, 123, 'Dev10', 'https://s3.amazonaws.com/com.amazon.mas.pop-test/garfield.jpg', '1.0', null);
insert into catalog (asin, applicationName, category, currentPrice, averageRating, numberOfReviews, developerName, iconUrl, version, listPrice) values ('BT00DAVR98', 'App11', 'Music', 0.00, 5, 123, 'Dev11', 'https://s3.amazonaws.com/com.amazon.mas.pop-test/garfield.jpg', '2.0', null);
insert into catalog (asin, applicationName, category, currentPrice, averageRating, numberOfReviews, developerName, iconUrl, version, listPrice) values ('BT00DF1QZZ', 'App12', 'Music', 0.00, 5, 123, 'Dev12', 'https://s3.amazonaws.com/com.amazon.mas.pop-test/hello-kitty.png', '1.1', null);
insert into catalog (asin, applicationName, category, currentPrice, averageRating, numberOfReviews, developerName, iconUrl, version, listPrice) values ('BT00DF1QII', 'App13', 'Music', 0.00, 5, 123, 'Dev13', 'https://s3.amazonaws.com/com.amazon.mas.pop-test/hello-kitty.png', '1.3', null);
insert into catalog (asin, applicationName, category, currentPrice, averageRating, numberOfReviews, developerName, iconUrl, version, listPrice) values ('BT00DAVR96', 'App14', 'Music', 0.00, 5, 34, 'Dev14', 'https://s3.amazonaws.com/com.amazon.mas.pop-test/icon.jpg', '5.0', null);
insert into catalog (asin, applicationName, category, currentPrice, averageRating, numberOfReviews, developerName, iconUrl, version, listPrice) values ('BT0BDAVR00', 'App15', 'Music', 0.00, 5, 0, 'Dev15', 'https://s3.amazonaws.com/com.amazon.mas.pop-test/icon.jpg', '3.0', null);
insert into catalog (asin, applicationName, category, currentPrice, averageRating, numberOfReviews, developerName, iconUrl, version, listPrice) values ('AIDKFJSL29', 'App16', 'Music', 0.00, 5, 123, 'Dev16', 'https://s3.amazonaws.com/com.amazon.mas.pop-test/icon.jpg', '2.23', null);
insert into catalog (asin, applicationName, category, currentPrice, averageRating, numberOfReviews, developerName, iconUrl, version, listPrice) values ('SDFJIBHDKK', 'App17', 'Music', 0.00, 5, 123, 'Dev17', 'https://s3.amazonaws.com/com.amazon.mas.pop-test/mapleleaf.png', '1.2', null);
insert into catalog (asin, applicationName, category, currentPrice, averageRating, numberOfReviews, developerName, iconUrl, version, listPrice) values ('ODKFRIFH12', 'App18', 'Music', 0.00, 5, 123, 'Dev18', 'https://s3.amazonaws.com/com.amazon.mas.pop-test/mapleleaf.png', '1.4', null);
insert into catalog (asin, applicationName, category, currentPrice, averageRating, numberOfReviews, developerName, iconUrl, version, listPrice) values ('BPODIR485S', 'App19', 'Music', 0.00, 5, 123, 'Dev19', 'https://s3.amazonaws.com/com.amazon.mas.pop-test/mouse.jpg', '3.0', null);
insert into catalog (asin, applicationName, category, currentPrice, averageRating, numberOfReviews, developerName, iconUrl, version, listPrice) values ('D234902389', 'App20', 'Music', 0.00, 5, 123, 'Dev20', 'https://s3.amazonaws.com/com.amazon.mas.pop-test/mouse.jpg', '2.0', null);
